Package Details: 8192cu-dkms v4.0.2_9000-19

Git Clone URL: https://aur.archlinux.org/8192cu-dkms.git (read-only, click to copy)
Package Base: 8192cu-dkms
Description: Driver for Realtek RTL8188CUS (8188C, 8192C) chipset wireless cards
Upstream URL: http://www.realtek.com.tw/
Licenses: GPL
Conflicts: 8192cu, dkms-8192cu, rt8192cu
Replaces: dkms-8192cu
Submitter: runnytu
Maintainer: runnytu
Last Packager: runnytu
Votes: 99
Popularity: 0.001721
First Submitted: 2014-05-07 21:01
Last Updated: 2020-12-31 14:06

Dependencies (2)

Required by (0)

Sources (3)

Latest Comments

« First ‹ Previous ... 13 14 15 16 17 18 19 20 21 22 23 ... Next › Last »

moonman commented on 2014-01-16 04:53

Evils you do realise this is the driver that comes in the raspberrypi kernel (this is the reason it works for you) and there is a package of this exact driver in the a.l.arm repo.

Evils commented on 2014-01-15 12:09

If anyone else gets the same errors as I did (raspberry pi, latest kernel)
Building module:
cleaning build area.....
make KERNELRELEASE=3.12.6-1-ARCH ARCH=i386 CROSS_COMPILE= -C /usr/lib/modules/3.12.6-1-ARCH/build M=/var/lib/dkms/8192cu/v4.0.2_9000/build modules.....(bad exit status: 2)
Error! Bad return status for module build on kernel: 3.12.6-1-ARCH (armv6l)
Consult /var/lib/dkms/8192cu/v4.0.2_9000/build/make.log for more information.

Just do a pacman -Syu afterwards and it'll fix itself (more or less) - at least it works after that

izmntuk commented on 2014-01-03 09:42

Work fine with networkmanager, but cannot be detected by iw , anyway thanks :)

Dunkelheit commented on 2013-11-25 21:06

Works properly with 3.12

alejandro.perez commented on 2013-11-18 18:01

Hi guys,

the driver works fine... except for that I cannot authenticate using WPA-EAP. All I got is authentication failed, while credentials are good (same wpa.conf and different card works perfectly).

I've tried with EAP-TTLS+PAP and PEAP+MSCHAP. None of them worked.

Is anyone there having similar issues?

BTW, kernel 3.12.

runnytu commented on 2013-11-11 23:56

Hello, bump to new version with the latest driver v4.0.2_9000.

@nuked thanks for the links, the patch are a little bit different than mine.

nuked commented on 2013-11-11 21:30

@runnytu

on my desktop with 3.11 and on my raspberry pi with 3.10
works fine

https://github.com/raspberrypi/linux/commit/e2465a9a6321b26f33ea7e73023165507ed73d35
https://github.com/raspberrypi/linux/commit/a295939cf398d844092a7cde8096f81043ea0b1e

runnytu commented on 2013-11-11 15:23

@nuked with patch fix_310_proc still fail to compile the 4.0.2_9000 driver, i tried another time, but still fail, if you compile successfully with this patch, what kernel version do you use?

nuked commented on 2013-11-11 01:18

new driver can compile with fix_310_proc.patch
driver only supports <=3.9 kernels

runnytu commented on 2013-11-10 23:29

The new version of drivers doesn't compile with kernels 3.10.x 3.11.x, and i don't find a patch to work properly, if anyone have a patch or successfully compile the driver please give me some feedback.